#include <vector>
#include <cstdio>
#include <iostream>
#include <algorithm>
#include <string>
#include <map>
#include <queue>

using namespace std;

int main()
{
int n;
while(cin >> n)
{
	vector< vector< char> > matrix;
	vector< int > cols;
	vector< int > rows;
	vector< int > color;
	matrix.resize(n);
	cols.resize(n);
	rows.resize(n);
	color.resize(26);
	queue<char> que;
	for(int i = 0; i<n; i++)
	{
		matrix[i].resize(n);
		color[i] = 0;
	}
	for(int i = 0; i<26; i++)
		color[i]=0;
	for(int i = 0 ; i < n; i++)
		for(int j = 0; j<n; j++)
		{
			cin >> matrix[i][j];
			color[matrix[i][j]-'A']++;
		}

	char def = 'A'; int x,y;
	for(int i = 0; i<26; i++)
		if(color[i]< n && color[i]!=0 && color[i]!=1)
			def = i+'A';
	for(int i = 0 ; i < n; i++)
	{	
		int sum1 =0, sum2 = 0; 
		for(int j = 0; j<n; j++)
		{
			sum1 += matrix[i][j];
			sum2 += matrix[j][i];
		}

			rows[i] = sum2;
			cols[i] = sum1;

	}
	
	for(int i = 0; i< n; i++)
	{
		int count = 0;
		for(int j = 0; j<n; j++)
			if(rows[i]!=rows[j])
				count++;
		if (count > 1)
			y = i;
		count = 0;

		for(int j = 0; j<n; j++)
			if(cols[i]!=cols[j])
				count++;
		if (count > 1)
			x = i;
	}
	cout << ++x << " " << ++y << " " << def << "\n"; 
	

	

}
return 0;
}
