#include <vector>
#include <cstdio>
#include <iostream>
#include <algorithm>
#include <string>
#include <map>

using namespace std;

vector<int> interMIN, interMAX, interSUM, vstup;

int construct_Tree(int low, int high, int pos)
{
	if(low == high)
	{
		interMIN[pos] = vstup[low];
		interMAX[pos] = vstup[low];
		interSUM[pos] = vstup[low];
	}
	int mid = (high+low)/2;

	interMIN[pos] = min(construct_Tree(low, mid, 2*pos+1), construct_Tree(mid+1, high, 2*pos+2));
	interMAX[pos] = max(construct_Tree(low, mid, 2*pos+2), construct_Tree(mid+1, high, 2*pos+2));
	interSUM[pos] = construct_Tree(low, mid, 2*pos+2)+ construct_Tree(mid+1, high, 2*pos+2);
}

int RMinQ(int qlow, int qhigh, int low, int high, int pos)
{
	if(qlow > high || ghigh < low)
		return 1000000007;
	if(low>= qlow && qhigh >= high)
		return interMIN[pos];
	int mid = (high+low)/2;
	
	return min(RMinQ(qlow,qhigh,low,mid,2*pos+1),RMinQ(qlow,qhigh,mid+1,high,2*pos+2));
}
int RMaxQ()
{
	if(qlow > high || ghigh < low)
		return -1000000007;
	if(low>= qlow && qhigh >= high)
		return interMAX[pos];
	int mid = (high+low)/2;
	
	return max(RMaxQ(qlow,qhigh,low,mid,2*pos+1),RMaxQ(qlow,qhigh,mid+1,high,2*pos+2));
}
int SUM()
{
	if(qlow > high || ghigh < low)
		return 0;
	if(low>= qlow && qhigh >= high)
		return interSUM[pos];
	int mid = (high+low)/2;
	
	return SUM(qlow,qhigh,low,mid,2*pos+1) + SUM(qlow,qhigh,mid+1,high,2*pos+2);
}
int main()
{
int n;
while(cin >> n);
{
	
}

return 0;
}
